Class | Fog::Compute::Brightbox::Server
In: | lib/fog/brightbox/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

activate_console destroy dns_name flavor flavor_id flavor_id= image new private_ip_address public_ip_address ready? reboot save shutdown snapshot start stop zone_id zone_id=

### Public Class methods

new(attributes={})

### Public Instance methods

activate_console()
destroy()
dns_name()

Returns the public DNS name of the server

@return [String]

flavor()
flavor_id()
flavor_id=(incoming_flavour_id)
image()
private_ip_address()
public_ip_address()
ready?()
reboot(use_hard_reboot = true)

Directly requesting a server reboot is not supported in the API so needs to attempt a shutdown/stop, wait and start again.

Default behaviour is a hard reboot because it is more reliable because the state of the server‘s OS is irrelevant.

@param [Boolean] use_hard_reboot @return [Boolean]

save()
shutdown()
snapshot()
start()
stop()
zone_id()
zone_id=(incoming_zone_id)

[Validate]